diff tests/run-tests @ 349:b2293093b89e

Merged with mercurial-identify (which includes upstream's current tip) -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Merged with mercurial-identify (which includes upstream's current tip) manifest hash: b135d201757b84bbe7f14a446d2b001fd0cc1aa2 -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.1 (GNU/Linux) iD8DBQFCr9mNW7P1GVgWeRoRAmTjAJ919wnvZXbKI27N0cDJCrumR3z4rQCcD6PO yZTmrT6p+gt6GBO+j5FVBn0= =HWn8 -----END PGP SIGNATURE-----
author Thomas Arendsen Hein <thomas@intevation.de>
date Wed, 15 Jun 2005 08:32:29 +0100
parents 55f63f3b6a54
children b4e0e20646bb
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/tests/run-tests
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+set -e
+
+tests=0
+failed=0
+H=$PWD
+
+for f in `ls test-* | grep -Ev "\.|~"` ; do
+    echo -n "."
+    D=`mktemp -d`
+    if [ "$D" == "" ] ; then
+	echo mktemp failed!
+    fi
+
+    cd $D
+    fail=0
+    if ! $H/$f > .out 2>&1 ; then
+	echo $f failed with error code $?
+	fail=1
+    fi
+    if [ -s .out -a ! -r $H/$f.out ] ; then
+	echo $f generated unexpected output:
+	cat .out
+	cp .out $H/$f.err
+	fail=1
+    elif ! diff -u $H/$f.out .out > /dev/null ; then
+	echo $f output changed:
+	diff -u $H/$f.out .out && true
+	cp .out $H/$f.err
+    fi
+
+    cd $H
+    rm -r $D
+
+    failed=$[$failed + $fail]
+    tests=$[$tests + 1]
+done
+
+echo
+echo Ran $tests tests, $failed failed
+
+if [ $failed -gt 0 ] ; then
+    exit 1
+fi
+